{% extends 'mainApp/base.html' %}

{% block left_menu_items %}
	{% if user.role.permissions.CALLS_READ %}<a href="/calls/" class="item noselect nostyle hl-left"><div class="fas fa-phone"></div><p>Звонки</p></a>{% endif %}
	{% if user.role.permissions.CLIENTS_READ %}<a href="/clients/" class="item inline noselect nostyle"><div class="fas fa-users"></div><p>Клиенты</p></a>{% endif %}
	{% if user.role.permissions.USERS_READ %}<a href="/users/" class="item noselect nostyle"><div class="fas fa-user-friends"></div><p>Сотрудники</p></a>{% endif %}
	{% if user.role.permissions.POSITIONS_READ %}<a href="/positions/" class="item noselect nostyle"><div class="fas fa-user-tag"></div><p>Должности</p></a>{% endif %}
	{% if user.role.permissions.CONFIG_EDIT %}<a href="/config/" class="item noselect nostyle"><div class="fas fa-user-shield"></div><p>Доступ</p></a>{% endif %}
{% endblock %}

{% block content %}
	<div class="main-content">
		<div class="horizontal">
			<h1>Звонки</h1>
			{% if user.role.permissions.CALLS_ADD %}
				<button class="button" onclick="modalGet('/calls/call/')">Добавить</button>
			{% endif %}
			{% include "mainApp/search.html" %}
		</div>
		<div class="list-view">
			<span class="item noselect" id="call">
				<p>Тип звонка</p>
				<p>Клиент</p>
				<p class="not-important">Сотрудник</p>
				<p>Дата</p>
			</span>
			{% for call in calls %}
				<div class="item" id="call" onclick="modalGet('/calls/call/{{ call.id }}/edit/')">
					<p>{{ call.mode.name }}</p>
					<b>{{ call.client }}</b>
					<p class="not-important">{{ call.user.name }}</p>
					<p class="time" id="{{ call.time }}"></p>
					<script>
						var date = moment.unix({{ call.time }});
						$(".item .time#{{ call.time }}").html(date.fromNow());
					</script>
				</div>
			{% endfor %}
		</div>
	</div>
{% endblock %}